"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103d3a980>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103d3aa20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103d3aac0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103d3ab60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103d3ac00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103d3aca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103d3ad40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103d3ade0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103d3ae80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103d3af20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103d3afc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b060>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b100>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b1a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b240>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b2e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b380>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b420>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b560>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b600>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b6a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b740>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b7e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b920>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103d3b9c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103d3ba60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bb00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bba0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bc40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bce0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bd80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103d3be20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bec0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103d3bf60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103d84040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103d840e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103d84180>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103d84220>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103d842c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103d84360>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103d84400>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103d844a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103d84540>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103d845e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103d84680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103d84720>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103d847c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103d84860>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103d84900>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103d849a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103d84a40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103d84ae0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103d84b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103d84c20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103d84cc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103d84d60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103d84e00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103d84ea0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103d84f40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103d84fe0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103d85080>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103d85120>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103d851c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103d85260>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103d85300>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103d853a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103d85440>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103d854e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103d85580>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103d85620>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103d856c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103d85760>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103d85800>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103d858a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103d85940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103d859e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103d85a80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103d85b20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103d85c60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103d85bc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103d85d00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103d85da0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103d85e40>)]
name: str = 'fr_HOCCN'
